Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest
Interface Parameters.MutablePriorStatusParameters

All Superinterfaces:
  Parameters.PriorStatusParameters

All Known Implementing Classes:
  BasicParameters, FileParameters, PriorStatusInterview

Enclosing interface:
  Parameters

    public static interface Parameters.MutablePriorStatusParameters

extends Parameters.PriorStatusParameters

An interface providing abstract access to a set of booleans which can be used to select tests according to their prior execution status.

Field Summary
`static int` | `MATCH_PRIOR_STATUS` A constant used to indicate that tests should be selected for execution if their status matched one of the matching prior status values.
`static int` | `NO_PRIOR_STATUS` A constant used to indicate that a test's prior execution status should not be taken into account when selecting tests for execution.

Method Summary
`boolean[]` | `getMatchPriorStatusValues()` Get an array of booleans which identify which tests to be run, according to their prior execution status.
`int` | `getPriorStatusMode()` Get the current mode determining whether tests are selected or not according to their prior execution status.
`void` | `setMatchPriorStatusValues(boolean[] values)` Set an array of booleans to identify which tests to be run, according to their prior execution status.
`void` | `setPriorStatusMode(int mode)` Set the current mode determining whether tests are selected or not according to their prior execution status.
`void` | `setPriorStatusValues(boolean[] b)` Set which prior status values should be used, if any, to select tests for execution.

Methods inherited from interface com.sun.javatest.Parameters.PriorStatusParameters
`getPriorStatusValues`

Field Detail

### NO_PRIOR_STATUS

    static final int NO_PRIOR_STATUS

  A constant used to indicate that a test's prior execution status should not be taken into account when selecting tests for execution.

  See Also:
    Constant Field Values

### MATCH_PRIOR_STATUS

    static final int MATCH_PRIOR_STATUS

  A constant used to indicate that tests should be selected for execution if their status matched one of the matching prior status values.

  See Also:
    Constant Field Values

Method Detail

### setPriorStatusValues

    void setPriorStatusValues(boolean[] b)

  Set which prior status values should be used, if any, to select tests for execution.

  Parameters:
    `b` - if null, the prior status mode will be set to NO_PRIOR_STATUS; if not null, the prior status mode will be set to MATCH_PRIOR_STATUS, and the matching values will be set to this array.
  See Also:
    `Parameters.PriorStatusParameters.getPriorStatusValues()`

### getPriorStatusMode

    int getPriorStatusMode()

  Get the current mode determining whether tests are selected or not according to their prior execution status.

  Returns:
    a value of NO_PRIOR_STATUS indicates the prior execution status will not be taken into account; otherwise, a value of MATCH_PRIOR_STATUS means that tests will be selected if and only of their execution status matches one of the matching prior status values.
  See Also:
    `setPriorStatusMode(int)`, `NO_PRIOR_STATUS`, `MATCH_PRIOR_STATUS`

### setPriorStatusMode

    void setPriorStatusMode(int mode)

  Set the current mode determining whether tests are selected or not according to their prior execution status.

  Parameters:
    `mode` - if set to NO_PRIOR_STATUS, the prior execution status will not be taken into account; otherwise, if set to MATCH_PRIOR_STATUS tests will be selected if and only of their execution status matches one of the matching prior status values.
  See Also:
    `getPriorStatusMode()`, `NO_PRIOR_STATUS`, `MATCH_PRIOR_STATUS`

### getMatchPriorStatusValues

    boolean[] getMatchPriorStatusValues()

  Get an array of booleans which identify which tests to be run, according to their prior execution status. The array can be indexed by the constants `Status.PASSED`, `Status.FAILED`, `Status.ERROR`, and `Status.NOT_RUN`. A test will be selected for execution if the entry in the array corresponding to the tests execution status is set to true.

  Returns:
    an array of booleans which identifying the prior execution status of tests to be selected to be executed.
  See Also:
    `setMatchPriorStatusValues(boolean[])`

### setMatchPriorStatusValues

    void setMatchPriorStatusValues(boolean[] values)

  Set an array of booleans to identify which tests to be run, according to their prior execution status. The array can be indexed by the constants `Status.PASSED`, `Status.FAILED`, `Status.ERROR`, and `Status.NOT_RUN`. A test will be selected for execution if the entry in the array corresponding to the tests execution status is set to true.

  Parameters:
    `values` - an array of booleans which identifying the prior execution status of tests to be selected to be executed.
  See Also:
    `getMatchPriorStatusValues()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.